Erforschen des Page-Objektmodells in FrontPage

Das Page-Objektmodell enthält Konstanten, Ereignisse, Methoden, Objekte und Eigenschaften für FrontPage Document-Objekte, die mit Microsoft Internet Explorer 4.0 und höher kompatibel sind. Diese Programmierelemente entsprechen im Allgemeinen dem in Internet Explorer verwendeten Modell. Personen, die mit Internet Explorer vertraut sind, gehen beim Einsatz dieser Objekte im Allgemeinen so vor, dass sie dem Objektnamen das Präfix „FP“ voranstellen. Beispielsweise lautet der Objektname des FrontPage-Objekts FPHTMLDocument in Internet Explorer „HTMLDocument“.

Anmerkung In vielen Fällen wurde das „IHTML“-Objekt beibehalten, um den Entwicklern, die mit Internet Explorer vertraut sind, entgegenzukommen.

Klicken Sie auf einen der folgenden Links, wenn Sie ausführliche Informationen zu einem bestimmten Thema anzeigen möchten.

Ereignisse

Methoden

Objekte

Eigenschaften


Von FrontPage 2000 unterstützte HTML-Ereignisse

Die Ereignisse im Page-Objektmodell von Microsoft FrontPage basieren auf den Ereignissen in Microsoft Internet Explorer 4.0. Klicken Sie auf einen der Links in der nachstehenden Liste, wenn Sie ausführliche Informationen zu einem bestimmten Ereignis anzeigen möchten.

onbeforeunload

onblur (Window)

onchange

onclick

ondblclick

ondragstart

onfocus (Window)

onkeydown

onkeypress

onkeyup

onload

 onmousedown

onmousemove

onmouseout

onmouseover

onmouseup

onreadystatechange

onresize

onscroll

onselect

onselectstart

onunload


HTML-Ereignisse, die von FrontPage 2000 nicht unterstützt werden

Die in der nachstehenden Tabelle aufgeführten Ereignisse werden in der aktuellen Version von Microsoft FrontPage nicht unterstützt.

onabort | ondatasetcomplete | onhelp
Onafterupdate | onerror | onreset
onblur (Elements) | onerrorupdate | onrowenter
onbounce | onfilterchange | onrowexit
ondataavailable | onfinish | onstart
ondatasetchanged | onfocus (Elements) | onsubmit


FrontPage-spezifische Methoden

Die folgenden Methoden sind FrontPage-spezifisch. Für eine ausführliche Erläuterung klicken Sie in der Liste auf die jeweilige Methode.


HTML-Methoden, die von FrontPage 2000 unterstützt werden

Die Methoden im Page-Objektmodell von Microsoft FrontPage basieren auf den Ereignissen in Microsoft Internet Explorer 4.0. Klicken Sie auf einen der Links in der folgenden Liste, wenn Sie ausführliche Informationen zu einer bestimmten Methode anzeigen möchten.

Anmerkung Für einige der Eigenschaften ist mehr als ein Hilfethema verfügbar.

add (Bereiche)

addImport

addRule

alert

clear

collapse

compareEndPoints

confirm

contains

createCaption

createElement

createRange

createTextRange

createTFoot

createTHead

deleteCaption

deleteCell

deleteRow

deleteTFoot

deleteTHead

duplicate

elementFromPoint

empty

execCommand

expand

findText

focus (IHTMLWindow2)

getAttribute

getAttribute (userProfile)

getBookmark

inRange

insertAdjacentHTML

insertAdjacentText

 insertCell

insertRow

isEqual

item (alle außer IHTMLControlRange, IHTMLFilters)

move

moveEnd

moveStart

moveToBookmark

moveToElementText

moveToPoint

parentElement

pasteHTML

prompt

queryCommandEnabled

queryCommandIndeterm

queryCommandState

queryCommandSupported

queryCommandText (Dokument)

queryCommandText (Textbereich)

queryCommandValue

reload

remove (IHTMLAreas)

removeAttribute

removeImport

removeRule

scrollIntoView

select (IHTMLtxtRange)

setAttribute

tags


HTML-Methoden, die von FrontPage 2000 nicht unterstützt werden

Die in der nachstehenden Liste aufgeführten Methoden werden in der vorliegenden Version von Microsoft FrontPage nicht unterstützt.

Hinweise

Im Unterschied zu Microsoft Internet Explorer 4.0 können Sie den Inhalt der <Head></Head>-Tags in HTML ändern. Anstatt eine Formatvorlage zu erstellen, können Sie die insertAdjacentHTML-Methode verwenden, um dem Inhalt der <Head></Head>-Tags Ihrer Seite <Style></Style>-Tags hinzuzufügen.

add (IHTMLControlRange, IHTMLSelectElement) | execCommandShowHelp | reset
addFilter | execScript | resizeBy
addReadRequest | focus (alle außer IHTMLWindow2) | resizeTo
addRequest | forward | scroll
assign | go | scrollBy
back | IsNameUnique | scrollTo
blur | item (IHTMLControlRange, IHTMLFilters) | select (alle außer IHTMLtxtRange)
clear (IHTMLDocument2) | javaEnabled | setInterval
clearInterval | moveBy | setTimeout
clearRequest | moveTo | showHelp
clearTimeout | navigate | showModalDialog
click | nextPage | start
close | open (Window) | Stop
commit (PostFiles) | previousPage | submit
commitChanges | prompt | taintEnabled
createControlRange | Refresh | toString
createStyleSheet | reload | UsesDataBaseServices
doReadRequest | remove (IHTMLControlRange, IHTMLSelectElement) | write
doRequest | removeFilter | writeln
doWriteRequest | replace |


FrontPage-spezifische Objekte

Die nachstehend aufgeführten Objekte sind FrontPage-spezifisch. Klicken Sie in der Liste auf den jeweilige Hyperlink, um ausführliche Informationen zu einem Objekt zu erhalten.

IFPDocument-Objekt
UndoTransaction-Objekt

IHTMLFrontPageBotElement


HTML-Objekte in FrontPage 2000

Das Objektmodell von Microsoft FrontPage besteht aus drei separaten Objektmodellen, dem Application-Objektmodell, dem Web-Objektmodell und dem Page-Objektmodell, das auf dem Document-Objektmodell von Microsoft Internet Explorer 4.0 basiert.

In FrontPage wird den Objekten im Page-Objektmodell ein „FP“ vorangestellt, wobei sie das Format „FPHTMLObjekt_Name“ oder „IHTMLObjekt_Name“ annehmen, während die Objekte im Internet Explorer das Format „HTMLObjekt_Name“ und „IHTMLObjekt_Name“ aufweisen. Wenn Sie also beispielsweise auf das IHTMLDocument2-Objekt in FrontPage verweisen möchten, verwenden Sie „FPHTMLDocument“. Klicken Sie auf einen der Links in den nachstehenden Tabellen, wenn Sie ausführliche Informationen zu dem angegebenen Objekt erhalten möchten.

FPHTML-Programmierelemente
FPHTMLAnchorElement

FPHTMLAreaElement

FPHTMLBaseFontElement

FPHTMLBGsound

FPHTMLBlockElement

FPHTMLBody

FPHTMLButtonElement

FPHTMLCommentElement

FPHTMLDDElement

FPHTMLDialog

FPHTMLDivElement

FPHTMLDivPosition

FPHTMLDListElement

FPHTMLDocument

FPHTMLDTElement

FPHTMLEmbed

FPHTMLFieldSetElement

FPHTMLFiltersCollection

FPHTMLFontElement

FPHTMLFormElement

FPHTMLFrameBase

FPHTMLFrameElement

FPHTMLFrameSetSite

FPHTMLHeaderElement

FPHTMLHRElement

FPHTMLIFrame

FPHTMLImageElementFactory

FPHTMLImg

FPHTMLInputButtonElement

FPHTMLInputFileElement

FPHTMLInputHiddenElement

FPHTMLInputImage

FPHTMLInputTextElement

FPHTMLIsIndexElement

FPHTMLLabelElement

FPHTMLLegendElement

FPHTMLLIElement

 FPHTMLLinkElement

FPHTMLListElement

FPHTMLLocation

FPHTMLMapElement

FPHTMLMarqueeElement

FPHTMLMetaElement

FPHTMLNextIdElement

FPHTMLNoShowElement

FPHTMLObjectElement

FPHTMLOListElement

FPHTMLOptionButtonElement

FPHTMLOptionElement

FPHTMLOptionElementFactory

FPHTMLParaElement

FPHTMLPhraseElement

FPHTMLScreen

FPHTMLScriptElement

FPHTMLSelectElement

FPHTMLSpanElement

FPHTMLSpanFlow

FPHTMLStyle

FPHTMLStyleElement

FPHTMLStyleSheet

FPHTMLStyleSheetsCollection

FPHTMLTable

FPHTMLTableCaption

FPHTMLTableCell

FPHTMLTableCol

FPHTMLTableRow

FPHTMLTableSection

FPHTMLTextAreaElement

FPHTMLTextElement

FPHTMLTitleElement

FPHTMLUListElement

FPHTMLUnknownElement

FPHTMLWindow2

IHTML-Programmierelemente
IHTMLAreasCollection

IHTMLBaseElement

IHTMLBodyElement

IHTMLBRElement

IHTMLControlElement

IHTMLDatabinding

IHTMLDocument2

IHTMLElement

IHTMLElementCollection

IHTMLEmbedElement

IHTMLEventObj

 IHTMLFrameElement

IHTMLFramesCollection2

IHTMLFrameSetElement

IHTMLImgElement

IHTMLRuleStyle

IHTMLSelectionObject

IHTMLStyleSheetRule

IHTMLStyleSheetRulesCollection

IHTMLTextContainer

IHTMLTxtRange


FrontPage-spezifische Eigenschaften

Die folgenden Eigenschaften sind FrontPage-spezifisch. Für eine ausführliche Erläuterung klicken Sie in der Liste auf die jeweilige Eigenschaft.


Von FrontPage 2000 unterstützte HTML-Eigenschaften

Die Eigenschaften im Page-Objektmodell von Microsoft FrontPage basieren auf den Eigenschaften in Microsoft Internet Explorer 4.0. Klicken Sie auf einen der Links in der nachstehenden Tabelle, wenn Sie ausführliche Informationen zu der angegebenen Eigenschaft anzeigen möchten.

Anmerkung Für einige der Eigenschaften ist mehr als ein Hilfethema verfügbar.

accessKey action activeElement align (Text) align (Beschriftung) align (Tabelle) align (Tabelle) aLink alinkColor all | alt altHtml altKey anchors appCodeName appName applets appVersion areas
 | Zurück zum Anfang
background (Attribute) background (Grafik) background (Tabellengrafik) backgroundAttachment backgroundColor backgroundImage backgroundPosition backgroundPositionX backgroundPositionY backgroundRepeat balance BaseHref behavior bgColor (Element) bgColor (Seite) bgProperties body border border (Stil) border (Frames) border (Breite) borderBottom | borderBottomColor borderBottomStyle borderBottomWidth borderColor (Element) borderColor (borderWidth und borderStyle) borderColorDark borderColorLight borderLeft borderLeftColor borderLeftStyle borderRight borderRightColor borderRightStyle borderRightWidth borderStyle borderTop borderTopColor borderTopStyle borderTopWidth borderWidth bottomMargin button
 | Zurück zum Anfang
cancelBubble caption cellIndex cellPadding cells cellSpacing charset children className clear clientHeight clientInformation clientLeft clientTop clientWidth clientX clientY clip closed | code codeBase (Basis-URL für die Anwendung) codeBas (Position der Objektimplementierung) codeType color (Schriftart oder horziontales Lineal) color (Text) cols (Breite des Textbereichs) cols (Tabellenspalten) cols (Frames) colSpan compact complete content cookie coords cssText ctrlKey cursor
 | Zurück zum Anfang
dataFld dataFormatAs dataPageSize dataSrc defaultCharset defaultChecked defaultSelected defaultStatus defer dialogArguments dialogHeight | dialogLeft dialogTop dialogWidth direction disabled (Steuerelement) disabled (Formatvorlage) display Document DocumentHTML domain dynsrc
 | Zurück zum Anfang
elements embeds encoding | event external
 | Zurück zum Anfang
face fgColor fileCreatedDate fileModifiedDate fileSize fileUpdatedDate font fontFamily fontSize fontsrc | fontStyle fontVariant fontWeight form forms frameBorder frames frameSpacing fromElement
 | Zurück zum Anfang
hash height hidden history host hostname href (Formatvorlage) href (Ziel oder Ankerpunkt) | href (Basislinien-URL für relative Links) href (Adresse) hspace htmlFor (Element) htmlFor (Steuerelement) htmlText httpEquiv
 | Zurück zum Anfang
id images imports indeterminate index innerHTML | innerText isMap isTextEdit keyCode
 | Zurück zum Anfang
lang language lastModified left leftMargin length letterSpacing lineHeight link | linkColor links listStyle listStyleImage listStylePosition listStyleType listStyleType location loop lowsrc
 | Zurück zum Anfang
margin marginBottom marginHeight marginLeft marginRight marginTop marginWidth maxLength media method Methods multiple | name (Fenster oder Frame) name (Steuerelement, Textmarke oder Anwendung) nameProp navigator noHref noResize noShade noWrap
 | Zurück zum Anfang
offsetHeight offsetLeft offsetParent offsetTop offsetWidth offsetX offsetY onbeforeunload onbeforeunload onbeforeunload onblur (Fenster) onchange (Dateieingabe) onchange (Textbereich) onchange (Markierung) onchange (Schaltfläche) onchange (Texteingabe) onclick (Document2) onclick (IHTMLElement) ondblclick (Document2) ondblclick (IHTMLElement) ondragstart (Document2) ondragstart (IHTMLElement) onfocus (Fenster) onkeydown (Document2) onkeydown (IHTMLElement) onkeypress (Document2) onkeypress (IHTMLElement) onkeyup (Document2) onkeyup (IHTMLElement) onload (Grafik) onload (Eingabegrafik) | onmousedown (Document2) onmousedown (IHTMLElement) onmousemove (Document2) onmousemove (IHTMLElement) onmouseout (Document2) onmouseout (IHTMLElement) onmouseover (Document2) onmouseover (IHTMLElement) onmouseup (Document2) onmouseup (IHTMLElement) onreadystatechange (Tabelle) onreadystatechange (Link) onreadystatechange (Objekt) onreadystatechange (Dokument) onreadystatechange (Stil) onresize onscroll (Fenster) onscroll (Textcontainer) onselect (Eingabedatei) onselect (Textbereich) onselect (Eingabetext) onselect (Textkörper) onselectstart (Document2) onselectstart (IHTMLElement) onunload (Textkörper) options outerHTML overflow owningElement
 | Zurück zum Anfang
padding paddingBottom paddingLeft paddingRight paddingTop pageBreakAfter pageBreakBefore palette parentElement parentStyleSheet parentTextEdit | parentWindow pathname plugins pluginspage port posHeight position posLeft posTop posWidth prompt protocol
 | Zurück zum Anfang
readOnly (Formatvorlage) readOnly (Element) rel returnValue (Ereignis) rev | rightMargin rowIndex rowSpan rules
 | Zurück zum Anfang
screen screenX screenY scripts scroll scrollAmount scrollDelay scrollHeight scrolling scrollLeft scrollTop scrollWidth search sectionRowIndex selected selectedIndex | selection self shape shiftKey size (Schriftart) size (Höhe HRElement) size (Steuerelement) sourceIndex span src (Sound-URL) src (Externer Quellcode) src (URL) srcElement start (ImgElement) start (OListElement) start (Marquee) style styleFloat styleSheet styleSheets
 | Zurück zum Anfang
tabIndex tagName target tBodies text (Bereich) text (Farbe Textkörper) text (Blockelement) text (Text Option-Tag) textAlign textDecoration textDecorationBlink textDecorationLineThrough textDecorationNone textDecorationOverline textDecorationUnderline textIndent textTransform | tFoot tHead title (Formatvorlage) title (Element) toElement top topMargin trueSpeed type (Listenformat) type (Markierung) type (Sprache Formatvorlage) type (Verhalten Standardschaltfläche) type (Ereignis oder Skriptname) type (Mime) type (CSS-Sprache) type (immanentes Steuerelement) type (Skriptsprache)
 | Zurück zum Anfang
units urn useMap vAlign (Beschriftung) vAlign (Element) value (Objekt) value (Steuerelement) value (Geordnete Listen) verticalAlign visibility vLink | vlinkColor volume vrml (ImgElement) vrml (InputImage) vspace width (horizontale Auflösung) width (Element – berechnete Breite) width (Element) window (oder self) wrap x y zIndex


HTML-Eigenschaften, die von FrontPage 2000 nicht unterstützt werden

Die in der nachstehenden Liste aufgeführten Eigenschaften werden in der aktuellen Version von Microsoft FrontPage nicht unterstützt.

appMinorVersion | dir | reason
Atomic | filter | recordNumber
availHeight | filters | referrer
availWidth | fontSmoothingEnabled | returnValue (gebundenes Dialogfenster)
bufferDepth | history | screen
clientInformation | Image | scroll
colorDepth | menuArguments | security
cookie | mimeType | selectedIndex
cookieEnabled | mimeTypes | srcFilter
cpuClass | n | status (Meldung in Statusleiste)
defaultChecked | offscreenBuffering | status (Wert von Kontrollkästchen oder Optionsfeld)
defaultSelected | onLine | systemLanguage
defaultStatus | opener | updateInterval
dialogArguments | opsProfile | UserAgent
dialogHeight | Option | UserLanguage
dialogLeft | platform | UserProfile
dialogTop | protocolLong | WordSpacing
dialogWidth | qualifier |


Abort-Methode

Stoppt die Transaktion. Wenn Sie beispielsweise ein Makro ausführen und im Vorfeld eine Rückgängig-Transaktion für das Makro erstellt haben, können Sie programmgesteuert die abort-Methode verwenden, um das Makro anzuhalten, wenn sich eine Fehlerbedingung ergibt.

Syntax

Ausdruck.abort

Ausdruck Ein Ausdruck, der ein FPHTMLUndoTransaction-Objekt zurückgibt.

Rückgabetyp

Void

Hinweise

Wenn eine Fehlerbedingung auftritt, die das Transaktionsobjekt ungültig macht, können Sie die abort-Methode verwenden, um die Transaktion zu stoppen.

Nachdem ein UndoTransaction-Objekt erstellt wurde, setzt Microsoft FrontPage den Namen des UndoTransaction-Objekts in den Rückgängig-Abschnitt des Menüs Bearbeiten von FrontPage ein.


Beispiel für die Abort-Methode

Im folgenden Beispiel wird eine Transaktion erstellt, sowie eine Operation ausgeführt, die dem Rückgängig-Stapel hinzugefügt wird; anschließend wird eine Benutzeraktion angefordert, mit der die Operation entweder abgebrochen oder bestätigt wird.

Private Sub CreateTransaction()
Dim myTrans As FPHTMLUndoTransaction
Dim myDoc As FPHTMLDocument
Dim myUTransName As String
Dim myMsg As String

Set myDoc = ActiveDocument
myUTransName = "Undo Last Macro"
Set myTrans = _
    myDoc.createUndoTransaction(myUTransName)
myMsg = "Would you like to cancel the operation?"

Call myDoc.body.insertAdjacentHTML("BeforeEnd", _
    "<b> Added by FP Programmability </b>")

Answer = MsgBox(myMsg, vbYesNo, "Cancel Operation?")
If Answer = vbYes Then
    myTrans.abort
Else
    myTrans.commit
End If
End Sub


Commit-Methode

Führt das UndoTransaction-Objekt für die Reihe der Operationen aus, die dem Rückgängig-Stapel seit der Erstellung des UndoTransaction-Objekts hinzugefügt wurden. Wenn Sie beispielsweise ein UndoTransaction-Objekt erstellt und dann ein Makro ausgeführt haben, ermöglicht die commit-Methode eine Fortsetzung der Makroausführung oder sie verhindert, wenn das Makro abgeschlossen ist, das Zurücksetzen der Effekte des Makros. Anders ausgedrückt, die Abfolge der Operationen im Makro wird bestätigt und kann nicht zurückgesetzt werden.

Syntax

Ausdruck.commit

Ausdruck Ein Ausdruck, der ein FPHTMLUndoTransaction-Objekt zurückgibt.

Rückgabetyp

Void


Beispiel für die Commit-Methode

Im folgenden Beispiel wird eine Transaktion erstellt sowie eine Operation ausgeführt, die dem Rückgängig-Stapel hinzugefügt wird; anschließend wird eine Benutzeraktion angefordert, mit der die Operation entweder abgebrochen oder bestätigt wird.

Private Sub CreateTransaction()
Dim myTrans As FPHTMLUndoTransaction
Dim myDoc As FPHTMLDocument
Dim myUTransName As String
Dim myMsg As String

Set myDoc = ActiveDocument
myUTransName = "Undo Last Macro"
Set myTrans = _
    myDoc.createUndoTransaction(myUTransName)
myMsg = "Would you like to cancel the operation?"

Call myDoc.body.insertAdjacentHTML("BeforeEnd", _
    "<b> Added by FP Programmability </b>")

Answer = MsgBox(myMsg, vbYesNo, "Cancel Operation?")
If Answer = vbYes Then
    myTrans.abort
Else
    myTrans.commit
End If
End Sub


CreateUndoTransaction-Methode

Erstellt eine neue Instanz eines FPHTMLUndoTransaction-Objekts für das angegebene Dokument. Ein UndoTransaction-Objekt stellt einen Nachverfolgungsmechanismus für jede Aktion bereit, die (nachdem der Rückgängig: Transaktion-Stapel erstellt wurde) auftritt. Sie können die im Page-Objektmodell verfügbaren Programmierelemente dann zur Laufzeit verwenden, um die Aktionen eines Makros nachzuverfolgen.

Syntax

Ausdruck.createUndoTransaction(Titel)

Ausdruck Ein Ausdruck, der ein FPHTMLDocument-, IFPDocument- oder IHTMLDocument-Objekt zurückgibt.

Titel Erforderliches Argument vom Typ String. Eine Zeichenfolge, die für den Titel des FPHTMLUndoTransaction-Objekt steht, die im Rückgängig-Abschnitt des Menüs Bearbeiten angezeigt wird.

Rückgabetyp

Objekt


Beispiel für die CreateUndoTransaction-Methode

Im folgenden Beispiel wird eine Transaktion erstellt sowie eine Operation ausgeführt, die dem Rückgängig-Stapel hinzugefügt wird; anschließend wird eine Benutzeraktion angefordert, mit der die Operation entweder abgebrochen oder bestätigt wird.

Private Sub CreateTransaction()
Dim myTrans As FPHTMLUndoTransaction
Dim myDoc As FPHTMLDocument
Dim myUTransName As String
Dim myMsg As String

Set myDoc = ActiveDocument
myUTransName = "Undo Last Macro"
Set myTrans = _
    myDoc.createUndoTransaction(myUTransName)
myMsg = "Would you like to cancel the operation?"

Call myDoc.body.insertAdjacentHTML("BeforeEnd", _
    "<b> Added by FP Programmability </b>")

Answer = MsgBox(myMsg, vbYesNo, "Cancel Operation?")
If Answer = vbYes Then
    myTrans.abort
Else
    myTrans.commit
End If
End Sub


GetBotAttribute-Methode

Gibt das angegebene strAttributName-Attribut für ein IHTMLFrontPageBotElement-Objekt zurück.

Syntax

Ausdruck.getBotAttribute(strAttributName)

Ausdruck Ein Ausdruck, der ein IHTMLFrontPageBotElement-Objekt zurückgibt.

strAttributName Erforderliches Argument vom Typ String. Die Zeichenfolge, die für den Namen des Attributs steht.

Rückgabetyp

Variant


Beispiel für die GetBotAttribute-Methode

In diesem Beispiel wird die getBotAttribute-Methode verwendet, um zunächst die Attribute abzurufen, es wird geprüft, ob der Such-Bot korrekt festgelegt wurde, und später wird geprüft, ob der Such-Bot gelöscht wurde.

Private Sub AccessBots()
Dim myMyFPBot As FPHTMLFrontPageBotElement
Dim myBodyObject As FPHTMLBody
Dim myHTMLString As String
Dim myPage As PageWindow

myHTMLString = ""
myHTMLString = myHTMLString & _
    "<!—webbot bot=""Search"" s-index=""All"""
myHTMLString = myHTMLString & _
    " s-fields s-text=""Search for:"" ""
myHTMLString = myHTMLString & _
    "i-size=""20"" s-submit=""Start Search"""
myHTMLString = myHTMLString & _
    " s-clear=""Reset"" s-timestampformat=""%m/%d/%y"""
myHTMLString = myHTMLString & " tag=""BODY"" -->"

Set myBodyObject = ActivePageWindow.Document.body
Set myPage = ActivePageWindow

Call myBodyObject.insertAdjacentHTML("BeforeEnd", _
    myHTMLString)

Set myMyFPBot = _
    myPage.Document.all.tags("webbot").Item(0)

Debug.Print myMyFPBot.getBotAttribute("s-submit")
Call myMyFPBot.setBotAttribute("s-submit", "new item")
Debug.Print myFPBot.getBotAttribute("s-submit")
Call myFPBot.removeBotAttribute("s-submit")
Debug.Print myFPBot.getBotAttribute("s-submit")

End Sub


RemoveBotAttribute-Methode

Entfernt das mit dem Attribut strAttributName angegebene Attribut.

Syntax

Ausdruck.removeBotAttribute(strAttributName)

Ausdruck Ein Ausdruck, der ein IHTMLFrontPageBotElement-Objekt zurückgibt.

strAttributName Erforderliches Argument vom Typ String. Die Zeichenfolge, die für den Namen des Attributs steht.

Rückgabetyp

Boolean


Beispiel für die RemoveBotAttribute-Methode

In diesem Beispiel wird ein Such-Bot mit Hilfe der removeBotAttribute-Methode entfernt.

Private Sub AccessBots()
Dim myMyFPBot As FPHTMLFrontPageBotElement
Dim myBodyObject As FPHTMLBody
Dim myHTMLString As String
Dim myPage As PageWindow

myHTMLString = ""
myHTMLString = myHTMLString & _
    "<!—webbot bot=""Search"" s-index=""All"""
myHTMLString = myHTMLString & _
    " s-fields s-text=""Search for:"" ""
myHTMLString = myHTMLString & _
    "i-size=""20"" s-submit=""Start Search"""
myHTMLString = myHTMLString & _
    " s-clear=""Reset"" s-timestampformat=""%m/%d/%y"""
myHTMLString = myHTMLString & " tag=""BODY"" -->"

Set myBodyObject = ActivePageWindow.Document.body
Set myPage = ActivePageWindow

Call myBodyObject.insertAdjacentHTML("BeforeEnd", _
    myHTMLString)

Set myMyFPBot = _
    myPage.Document.all.tags("webbot").Item(0)

Debug.Print myMyFPBot.getBotAttribute("s-submit")
Call myMyFPBot.setBotAttribute("s-submit", "new item")
Debug.Print myFPBot.getBotAttribute("s-submit")
Call myFPBot.removeBotAttribute("s-submit")
Debug.Print myFPBot.getBotAttribute("s-submit")

End Sub


SetBotAttribute-Methode

Legt ein Attribut für ein FPHTMLFrontPageBotElement-Objekt fest.

Syntax

Ausdruck.setBotAttribute(strAttributName, AttributWert)

Ausdruck Ein Ausdruck, der ein FPHTMLFrontPageBotElement-Objekt zurückgibt.

strAttributName Erforderliches Argument vom Typ String.

AttributWert Erforderliches Argument vom TypVariant.

Rückgabetyp

Void


Beispiel für die SetBotAttribute-Methode

In diesem Beispiel wird die SetBotAttribute-Methode zum Festlegen eines Such-Bot verwendet.

Private Sub AccessBots()
Dim myMyFPBot As FPHTMLFrontPageBotElement
Dim myBodyObject As FPHTMLBody
Dim myHTMLString As String
Dim myPage As PageWindow

myHTMLString = ""
myHTMLString = myHTMLString & _
    "<!—webbot bot=""Search"" s-index=""All"""
myHTMLString = myHTMLString & _
    " s-fields s-text=""Search for:"" ""
myHTMLString = myHTMLString & _
    "i-size=""20"" s-submit=""Start Search"""
myHTMLString = myHTMLString & _
    " s-clear=""Reset"" s-timestampformat=""%m/%d/%y"""
myHTMLString = myHTMLString & " tag=""BODY"" -->"

Set myBodyObject = ActivePageWindow.Document.body
Set myPage = ActivePageWindow

Call myBodyObject.insertAdjacentHTML("BeforeEnd", _
    myHTMLString)

Set myMyFPBot = _
    myPage.Document.all.tags("webbot").Item(0)

Debug.Print myMyFPBot.getBotAttribute("s-submit")
Call myMyFPBot.setBotAttribute("s-submit", "new item")
Debug.Print myFPBot.getBotAttribute("s-submit")
Call myFPBot.removeBotAttribute("s-submit")
Debug.Print myFPBot.getBotAttribute("s-submit")

End Sub


IFPDocument-Objekt

Repräsentiert das Microsoft FrontPage-Dokument. Das IFPDocument-Objekt verfügt über Eigenschaften und Methoden, mit denen Objekte zurückgegeben werden, die zwar mit Microsoft Internet Explorer Version 4.0 oder höher, jedoch nicht mit dem Dynamic HTML-Objektmodell von Internet Explorer 5 kompatibel sind.

Verwenden des UndoTransaction-Objekts

Zum Erstellen eines UndoTransaction-Objekts können Sie die createUndoTransaction-Methode des IFPDocument-Objekts verwenden.

Set myUndoTransaction = _
    ActiveDocument.createUndoTransaction(myUTransName)

Verwenden Sie die DocumentHTML-Eigenschaft, um eine Vektorzeichenfolge, die den gesamten Text im angegebenen Dokument enthält, zurückzugeben. Mit der folgenden Anweisung wird die Vektorzeichenfolge für die Variable myDocObject abgerufen.

myDocHTML = myDocObject.DocumentHTML

Verwenden Sie die isDirty-Eigenschaft, um zu ermitteln, ob das Dokument seit der letzten Speicherung geändert wurde. Wenn das Dokument geändert wurde, gibt die Eigenschaft True zurück.

myIsDirty = IFPDocument.isDirty


IHTMLFrontPageBotElement-Objekt

Repräsentiert eine Komponente in Microsoft FrontPage.

Verwenden des IHTMLFrontPageBotElement-Objekts

FrontPage bietet die Möglichkeit, Bot-Attribute abzurufen, zu entfernen und festzulegen. Die folgenden Anweisungen zeigen, wie auf die nachstehenden Methoden zugegriffen wird: getBotAttribute, removeBotAttribute, and setBotAttribute.

Call myMyFPBot.setBotAttribute("s-submit", "new item")
Debug.Print myMyFPBot.getBotAttribute("s-submit")
Call myFPBot.removeBotAttribute("s-submit")


UndoTransaction-Objekt

Repräsentiert den Cache, in dem die von einem Makro ausgeführten Aktionen zwischengespeichert werden. Das UndoTransaction-Objekt umfasst Methoden, mit denen die spezifische Transaktion fortgesetzt oder angehalten werden kann.

Verwenden des UndoTransaction-Objekts

Zum Erstellen eines UndoTransaction-Objekts können Sie die createUndoTransaction-Methode des IFPDocument-Objekts verwenden. Im folgenden Beispiel wird eine Rückgängig-Transaktion erstellt, mit denen die abort- und commit-Methoden veranschaulicht werden.

Private Sub CreateTransaction()
Dim myTrans As FPHTMLUndoTransaction
Dim myDoc As FPHTMLDocument
Dim myUTransName As String
Dim myMsg As String

Set myDoc = ActiveDocument
myUTransName = "Undo Last Macro"
Set myTrans = _
    myDoc.createUndoTransaction(myUTransName)
myMsg = "Would you like to cancel the operation?"

Call myDoc.body.insertAdjacentHTML("BeforeEnd", _
    "<b> Added by FP Programmability </b>")

Answer = MsgBox(myMsg, vbYesNo, "Cancel Operation?")
If Answer = vbYes Then
    myTrans.abort
Else
    myTrans.commit
End If
End Sub


DocumentHTML-Eigenschaft

Gibt den gesamten Satz HTML-Tags für das angegebene Document-Objekt im Format String zurück. Wert vom Typ String, der gelesen und geschrieben werden kann.


Beispiel für die DocumentHTML-Eigenschaft

In diesem Beispiel werden die gesamten HTML-Tags im Fenster Direktbereich angezeigt.

Private Sub ListAllTags()
Dim myDocObject As FPHTMLDocument
Dim myDocHTML As String

Set myDocObject = ActivePageWindow.ActiveDocument

myDocHTML = myDocObject.DocumentHTML
Debug.Print myDoc

End Sub


External-Eigenschaft

Gibt ein PageWindow-Objekt aus einem Frame zurück. Schreibgeschütztes Objekt.


Beispiel für die External-Eigenschaft

In diesem Beispiel wird das Seitenfenster zurückgegeben, in dem sich der aktive Frame befindet.

Private Sub GetExternal()
Dim myExternalObject As PageWindow

Set myExternalObject = _
    ActivePageWindow.ActiveFrameWindow.Window.external
End Sub


IsDirty-Eigenschaft

Gibt True zurück, wenn das angegebene IFPDocument-Objekt seit seiner letzten Speicherung geändert wurde. Wert vom Typ Boolean, der gelesen und geschrieben werden kann.


Beispiel für die IsDirty-Eigenschaft

In diesem Beispiel wird die IsDirty-Eigenschaft für das ActiveFrameWindow-Objekt abgerufen.

Private Sub GetExternal()
Dim myExternalObject As PageWindow
Dim ckIfDirty As Boolean

Set myExternalObject = _
    ActivePageWindow.ActiveFrameWindow.Window.external
ckIfDirty = myExternalObject.IsDirty
End Sub


NameProp-Eigenschaft

Gibt den Namen des angegebenen Dokuments zurück. Wert vom Typ Boolean, der gelesen und geschrieben werden kann.


Beispiel für die NameProp-Eigenschaft

Mit dieser Anweisung wird der Name des aktiven Dokuments abgerufen.

myNameProp = ActiveDocument.nameProp


ReadyState-Eigenschaft

Gibt den Status des angegebenen Objekts zurück. Schreibgeschützter Wert vom Typ String.


Beispiel für die ReadyState-Eigenschaft

Mit dieser Anweisung wird der Bereitschaftsstatus des aktiven Dokuments zurückgegeben.

myDocState = ActiveDocument.ReadyState


SelectorText-Eigenschaft

Gibt die Auswahlzeichenfolge für die Stylesheetregel/Formatvorlagenregel zurück. Wert vom Typ String, der gelesen und geschrieben werden kann.


Beispiel für die SelectorText-Eigenschaft

In diesem Beispiel wird der Selektortext aus der ersten Stylesheetregel/Formatvorlagenregel abgerufen.

Anmerkung Sie müssen über ein geöffnetes Dokument verfügen, dem ein Stylesheet zugewiesen wurde.

Private Sub GetSelectorText()
Dim myRule As IHTMLStyleSheetRule
Dim myText As String

Set myRule = ActiveDocument.styleSheets(0).rules(0)
myText = myRule.selectorText
End Sub


WhiteSpace-Eigenschaft

Legt das WhiteSpace-Attribut für Inline-HTML-Styles fest oder gibt dieses zurück. Klicken Sie auf einen der nachstehenden Links, wenn Sie weitere Informationen zu dieser Eigenschaft anzeigen möchten. Wert vom Typ String, der gelesen und geschrieben werden kann.

Get WhiteSpace
Set WhiteSpace


Beispiel für die WhiteSpace-Eigenschaft

Mit der folgenden Anweisung wird das Attribut WhiteSpace auf nowrap festgelegt.

Anmerkung Es muß ein Inline-HTML-Style zugewiesen sein.

ActiveDocument.body.Style.whiteSpace = "nowrap"